Groovy 1.7.0

## org.codehaus.groovy.control
Class Phases

    java.lang.Object
      org.codehaus.groovy.control.Phases

    class Phases
    extends Object

Compilation phase identifiers.

author:
  Chris Poirier

version:
  $Id: Phases.java 10493 2008-01-19 10:23:02Z russel $

Field Summary
`static int` | `ALL`
`static int` | `CANONICALIZATION`
`static int` | `CLASS_GENERATION`
`static int` | `CONVERSION`
`static int` | `FINALIZATION`
`static int` | `INITIALIZATION`
`static int` | `INSTRUCTION_SELECTION`
`static int` | `OUTPUT`
`static int` | `PARSING`
`static int` | `SEMANTIC_ANALYSIS`
`static String[]` | `descriptions`

Constructor Summary
`Phases()`

Method Summary
`static String` | `getDescription(int phase)` Returns a description of the specified phase.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### ALL

    static final int ALL

### CANONICALIZATION

    static final int CANONICALIZATION

### CLASS_GENERATION

    static final int CLASS_GENERATION

### CONVERSION

    static final int CONVERSION

### FINALIZATION

    static final int FINALIZATION

### INITIALIZATION

    static final int INITIALIZATION

### INSTRUCTION_SELECTION

    static final int INSTRUCTION_SELECTION

### OUTPUT

    static final int OUTPUT

### PARSING

    static final int PARSING

### SEMANTIC_ANALYSIS

    static final int SEMANTIC_ANALYSIS

### descriptions

    static String[] descriptions

Constructor Detail

### Phases

    Phases()

Method Detail

### getDescription

    public static String getDescription(int phase)

  Returns a description of the specified phase.

Copyright © 2003-2009 The Codehaus. All rights reserved.